# IConsoleCmd Struct Reference

## Data Fields
char * | name
| name of command
IConsoleCmd * | next
| next command in list
IConsoleCmdProc * | proc
| process executed when command is typed
IConsoleHook * | hook
| any special trigger action that needs executing

## Detailed Description

Definition at line 31 of file console_internal.h.

The documentation for this struct was generated from the following file:

- src/console_internal.h